/**
 * Created by rockyl on 2019-04-10.
 *
 * 规则对话框内容
 */

import HtmlRenderer from "scilla-components/src/renderer/HtmlRenderer";
import { dynamic, Entity } from "scilla/src";
import DialogContent from "../popup/DialogContent";

export default class RuleDialogContent extends DialogContent {
	Content: Entity;
	ajaxElement: dynamic;//ajax Element
	private _contentRenderer: HtmlRenderer;

	onAwake() {
		super.onAwake();

		this._contentRenderer = this.Content.getComponent(HtmlRenderer);
	}

	setup(data) {
		this._contentRenderer.htmlText =  window['ruleContent'];
	}

}
